=== debian/changelog ===
fltk1.3 (1.3.11-3) unstable; urgency=medium

  * debian/control:
    - Build-depend on texlive-fonts-extra so that PDF documentation can
      include the Apple logo (from Font Awesome 5) for completeness.
    - Reflect the move to the new Debian FLTK Ecosystem Team (albeit with
      myself as the only uploader, at least for now) and corresponding new
      Salsa group.
    - Reformat via "cme fix dpkg-control" (routine-update).
  * documentation/Doxyfile.in: Use the new latex-extras.sty.
  * documentation/Makefile: Have refman.pdf depend on it.
  * documentation/latex-extras.sty (new):
    - Supply a fallback definition of \insert@pcolumn based on the
      traditional (late 1980s-2023) definition of \insert@column to work
      around an incompatibility between the old version of array.sty
      Doxygen's preserved copy of archaic tabu.sty requires and other
      portions of TeX Live 2025.  (Closes: #1112922.)
    - Ensure LaTeX knows what to make of all Unicode characters in the
      input, even U+F8FF (private-use, the Apple logo in this context).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 14 Oct 2025 22:00:43 -0400

fltk1.3 (1.3.11-2) unstable; urgency=medium

  * debian/control: Drop fluid (in favor of fltk1.4's) on hurd-any too,
    leaving only x32.  (CMake is unavailable on x32, making both 1.3 and
    1.4 unbuildable; if and when that gets fixed, a fluidless 1.3 might
    wind up building ahead of 1.4.  Meanwhile, the 1.4 packaging now
    properly accounts for the fact that Wayland-related build
    dependencies, including libdecor, are Linux-only.)
  * debian/rules: Suppress AppStream metadata generation for games to
    avoid duplicating component IDs with the 1.4 versions.  (Don't bother
    special-casing x32 on this one.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 30 Apr 2025 21:41:08 -0400

fltk1.3 (1.3.11-1) unstable; urgency=high

  * New upstream point release.
  * debian/control: Limit fluid's architectures to hurd-any and x32,
    at least for now.
  * debian/rules: Conditionalize fluid installation (but always still
    build it for internal use).
  * debian/control:
    - Explicitly account for libfltk*-compat-headers' overlap.
      (See #1102681.)
    - Build-depend on pkgconf, not legacy pkg-config.
  * debian/copyright: Substitute a URL for the FSF's postal address.
    (See #1080497.)
  * debian/watch: Belatedly recognize multi-digit patch levels.
  * test/Makefile: Actually enable shared linkage for e.g. games.  I'd
    accidentally committed the relevant settings in commented-out form.
  * Standards-Version: 4.7.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 11 Apr 2025 18:47:54 -0400
