=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 FLTK_CONFIG = $(DEB_HOST_GNU_TYPE)-fltk-config
 PKG_CONFIG = /usr/bin/$(DEB_HOST_GNU_TYPE)-pkg-config
 export PKG_CONFIG
+
+FLUID := $(filter fluid, $(shell dh_listpackages))
 
 %:
 	dh $@
@@ -74,7 +76,7 @@
 endif
 
 override_dh_auto_install-arch:
-	dh_auto_install -a -- DIRS='$$(IMAGEDIRS) src cairo fluid'
+	dh_auto_install -a -- DIRS='$$(IMAGEDIRS) src cairo $(FLUID)'
 	mkdir -p debian/tmp/usr/games
 	mkdir -p debian/tmp/usr/lib/fltk
 	mkdir -p debian/tmp/usr/share/applications
@@ -88,6 +90,8 @@
 	    sed -e 's,Exec=,&/usr/games/fl,; s,Icon=,&fl,; s,Name=,&FLTK ,' \
 	      test/desktop/$$game.desktop \
 	      >debian/tmp/usr/share/applications/fl$$game.desktop && \
+	    echo 'X-AppStream-Ignore=true' \
+	      >>debian/tmp/usr/share/applications/fl$$game.desktop && \
 	    cp test/desktop/$$game-32.png \
 	      debian/tmp/usr/share/icons/hicolor/32x32/apps/fl$$game.png && \
 	    cp test/desktop/$$game-128.png \
@@ -96,8 +100,9 @@
 	      >debian/tmp/usr/share/man/man6/fl$$game.6 \
 	    || exit 1; \
 	done
-## fluid
+ifneq "" "$(FLUID)"
 	$(MAKE) -C fluid install-linux DESTDIR=$(CURDIR)/debian/tmp
+endif
 ## libfltk1.3-dev
 	cp debian/CMakeCache.txt CMakeTmp/etc/*.cmake \
 	    CMake/FLTK-Functions.cmake debian/tmp/usr/lib/fltk
