=== debian/watch ===
version=4
opts="downloadurlmangle=s|.*FILE=|ftp://ftp.easysw.com/pub/|,uversionmangle=s|rc|~rc|;s|\.x-|~|" \
https://www.fltk.org/software.php .*/fltk-(1\.3\.\d*)(?:-\d+)?-source\.tar\.gz
